import 'dart:typed_data';
import 'package:flutter_test/flutter_test.dart';

import 'package:coidentity/coidentity.dart';

void main() {
  test('init', () async{
    // 设置使用何种加密方法
    CoreIdentity().setup(EncryptMethod.SECP256K1);

    // 初始化，可以反复调用，
    await CoreIdentity().init();

    // 为目标用户的公钥加密一条数据
    final message = await CoreIdentity().sendTo('target publick key', Uint8List.fromList([0,1,2,3,4]));

    // 解密发给自己的消息
    final raw_message = await CoreIdentity().decodeMessage(message);

    expect(1, 1);
  });
}
